config/routes.rb
Rails.application.routes.draw do
  resources :enquiries
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/enquiry.rb
class Enquiry < ApplicationRecord
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  protect_from_forgery with: :exception
end

app/controllers/enquiries_controller.rb
class EnquiriesController < ApplicationController
  before_action :set_enquiry, only: [:show, :edit, :update, :destroy]

  # GET /enquiries
  # GET /enquiries.json
  def index
    @enquiries = Enquiry.all
  end

  # GET /enquiries/1
  # GET /enquiries/1.json
  def show
  end

  # GET /enquiries/new
  def new
    @enquiry = Enquiry.new
  end

  # GET /enquiries/1/edit
  def edit
  end

  # POST /enquiries
  # POST /enquiries.json
  def create
    @enquiry = Enquiry.new(enquiry_params)

    respond_to do |format|
      if @enquiry.save
        format.html { redirect_to @enquiry, notice: 'Enquiry was successfully created.' }
        format.json { render :show, status: :created, location: @enquiry }
      else
        format.html { render :new }
        format.json { render json: @enquiry.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /enquiries/1
  # PATCH/PUT /enquiries/1.json
  def update
    respond_to do |format|
      if @enquiry.update(enquiry_params)
        format.html { redirect_to @enquiry, notice: 'Enquiry was successfully updated.' }
        format.json { render :show, status: :ok, location: @enquiry }
      else
        format.html { render :edit }
        format.json { render json: @enquiry.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /enquiries/1
  # DELETE /enquiries/1.json
  def destroy
    @enquiry.destroy
    respond_to do |format|
      format.html { redirect_to enquiries_url, notice: 'Enquiry was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_enquiry
      @enquiry = Enquiry.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def enquiry_params
      params.require(:enquiry).permit(:first_name, :last_name, :zipcode, :course, :email)
    end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/enquiries_helper.rb
module EnquiriesHelper
end

app/views/enquiries/_form.html.erb
<%= form_for(enquiry) do |f| %>
  <% if enquiry.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(enquiry.errors.count, "error") %> prohibited this enquiry from being saved:</h2>

      <ul>
      <% enquiry.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :first_name %>
    <%= f.text_field :first_name %>
  </div>

  <div class="field">
    <%= f.label :last_name %>
    <%= f.text_field :last_name %>
  </div>

  <div class="field">
    <%= f.label :zipcode %>
    <%= f.text_field :zipcode %>
  </div>

  <div class="field">
    <%= f.label :course %>
    <%= f.text_field :course %>
  </div>

  <div class="field">
    <%= f.label :email %>
    <%= f.text_field :email %>
  </div>

  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>

app/views/enquiries/edit.html.erb
<h1>Editing Enquiry</h1>

<%= render 'form', enquiry: @enquiry %>

<%= link_to 'Show', @enquiry %> |
<%= link_to 'Back', enquiries_path %>

app/views/enquiries/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Enquiries</h1>

<table>
  <thead>
    <tr>
      <th>First name</th>
      <th>Last name</th>
      <th>Zipcode</th>
      <th>Course</th>
      <th>Email</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @enquiries.each do |enquiry| %>
      <tr>
        <td><%= enquiry.first_name %></td>
        <td><%= enquiry.last_name %></td>
        <td><%= enquiry.zipcode %></td>
        <td><%= enquiry.course %></td>
        <td><%= enquiry.email %></td>
        <td><%= link_to 'Show', enquiry %></td>
        <td><%= link_to 'Edit', edit_enquiry_path(enquiry) %></td>
        <td><%= link_to 'Destroy', enquiry, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Enquiry', new_enquiry_path %>

app/views/enquiries/new.html.erb
<h1>New Enquiry</h1>

<%= render 'form', enquiry: @enquiry %>

<%= link_to 'Back', enquiries_path %>

app/views/enquiries/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>First name:</strong>
  <%= @enquiry.first_name %>
</p>

<p>
  <strong>Last name:</strong>
  <%= @enquiry.last_name %>
</p>

<p>
  <strong>Zipcode:</strong>
  <%= @enquiry.zipcode %>
</p>

<p>
  <strong>Course:</strong>
  <%= @enquiry.course %>
</p>

<p>
  <strong>Email:</strong>
  <%= @enquiry.email %>
</p>

<%= link_to 'Edit', edit_enquiry_path(@enquiry) %> |
<%= link_to 'Back', enquiries_path %>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Project</title>
    <%= csrf_meta_tags %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <%= yield %>
  </body>
</html>